com.rscja.deviceapi

## Enum DeviceInfo.InfoType

- java.lang.Object
- - java.lang.Enum<DeviceInfo.InfoType>
  - - com.rscja.deviceapi.DeviceInfo.InfoType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DeviceInfo.InfoType>
  Enclosing class:
    DeviceInfo

      public static enum DeviceInfo.InfoType
      extends java.lang.Enum<DeviceInfo.InfoType>

  枚举设备信息的类型
  info type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CPUTEMPERATURE` cpu温度 CPU temperature

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeviceInfo.InfoType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DeviceInfo.InfoType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CPUTEMPERATURE

          public static final DeviceInfo.InfoType CPUTEMPERATURE

      cpu温度
      CPU temperature

  - ### Method Detail

    - #### values

          public static DeviceInfo.InfoType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeviceInfo.InfoType c : DeviceInfo.InfoType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeviceInfo.InfoType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null